SERP Hacker support forum - serposcope

Support forum for open-source softwares built by serphacker.com : serposcope the rank checker.

You are not logged in.

#1 2016-05-17 15:26:47

SEO69
Member
Registered: 2016-05-11
Posts: 18

Erreur Java8 sous Ubuntu

Bonjour,

Je suis en ssh sur Ubuntu. L'installation de java 8 se solde par un échec. J'ai pourtant suivi les consignes dans l'aide.

Voici le message d'erreur :

# sudo apt-get install oracle-java8-installer
Reading package lists... Done
Building dependency tree
Reading state information... Done
Suggested packages:
  binfmt-support visualvm ttf-baekmuk ttf-unfonts ttf-unfonts-core
  ttf-kochi-gothic ttf-sazanami-gothic ttf-kochi-mincho ttf-sazanami-mincho
  ttf-arphic-uming
The following NEW packages will be installed:
  oracle-java8-installer
0 upgraded, 1 newly installed, 0 to remove and 4 not upgraded.
1 not fully installed or removed.
Need to get 0 B/23.1 kB of archives.
After this operation, 92.2 kB of additional disk space will be used.
Preconfiguring packages ...
(Reading database ... 120701 files and directories currently installed.)
Preparing to unpack .../oracle-java8-installer_8u92+8u91arm-2~really8u91~webupd8~0_all.deb ...

oracle-license-v1-1 license could not be presented
try 'dpkg-reconfigure debconf' to select a frontend other than noninteractive

dpkg: error processing archive /var/cache/apt/archives/oracle-java8-installer_8u92+8u91arm-2~really8u91~webupd8~0_all.deb (--unpack):
subprocess new pre-installation script returned error exit status 2
Errors were encountered while processing:
/var/cache/apt/archives/oracle-java8-installer_8u92+8u91arm-2~really8u91~webupd8~0_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)


Je suis actuellement en java version "1.7.0_101"

Pouvez-vous m'aider ...?

Merci,

Offline

#2 2016-05-17 15:34:11

serphacker
Administrator
Registered: 2014-06-13
Posts: 411

Re: Erreur Java8 sous Ubuntu

Bonjour,

Cela concerne-t-il le serveur OVH dont tu parlais dans le précédent poste vers lequel tu essayes de migrer ?

On voit qu'il y a une erreur au niveau du gestionnaire de package, d'abord essaye d'exécuter les commandes suivantes :

sudo apt-get clean
sudo apt-get autoclean
sudo apt-get autoremove
sudo apt-get update
sudo apt-get install oracle-java8-installer

Offline

#3 2016-05-17 16:01:35

SEO69
Member
Registered: 2016-05-11
Posts: 18

Re: Erreur Java8 sous Ubuntu

Oui, tout à fait (sous Kubuntu).

J'ai essayé ces commandes, sans succès là aussi.

Offline

#4 2016-05-17 16:07:47

serphacker
Administrator
Registered: 2014-06-13
Posts: 411

Re: Erreur Java8 sous Ubuntu

kubuntu doit probablement déjà embarquer sa propre version de java... Ce n'est pas la meilleur distribution pour installer serposcope même si cela semble plus simple car il y aune interface graphique, sur une unbuntu de base il n'y a pas de ce genre de problème (on peut installer 2 versions différentes de java sans soucis).

Il va eput être falloir désintaller java 7 (la version préinstallée), déjà qu'affiche la commande suivante ?

/usr/lib/jvm/java-8-oracle/bin/java -version

Offline

#5 2016-05-17 17:03:09

SEO69
Member
Registered: 2016-05-11
Posts: 18

Re: Erreur Java8 sous Ubuntu

Voici le résultat :

# /usr/lib/jvm/java-8-oracle/bin/java -version
-bash: /usr/lib/jvm/java-8-oracle/bin/java: No such file or directory

Pour Kubuntu, je ne sais pas. Si c'est trop galère au pire je réinstallerai Ubuntu server... mais bon.

Last edited by SEO69 (2016-05-17 17:04:13)

Offline

#6 2016-05-17 17:08:37

serphacker
Administrator
Registered: 2014-06-13
Posts: 411

Re: Erreur Java8 sous Ubuntu

c'est probablement openjdk qui est installé, pour être sur il faut voir la sortie de

dpkg -l | grep java

normalement tu dois pouvoir désinstaller avec l'une des commandes suivantes :

sudo apt-get remove openjdk-7-jdk
sudo apt-get remove openjdk-7-jre

Si tu as bien désinstallé java, la commande

java -version

doit normalement renvoyer une erreur (si ça t'affiche encore la version java 1.7 c'est que java n'est pas désinstallé).

Après retente d'installer java 8

Offline

#7 2016-05-17 17:36:04

SEO69
Member
Registered: 2016-05-11
Posts: 18

Re: Erreur Java8 sous Ubuntu

Voilà ce que j'ai en faisant les commandes :

# dpkg -l | grep java
ii  ca-certificates-java                  20130815ubuntu1                         all          Common CA certificates (JKS keystore)
ii  java-common                           0.51                                    all          Base of all Java packages
ii  libatk-wrapper-java                   0.30.4-4                                all          ATK implementation for Java using JNI
ii  libatk-wrapper-java-jni:amd64         0.30.4-4                                amd64        ATK implementation for Java using JNI (JNI bindings)
ii  libhsqldb1.8.0-java                   1.8.0.10+dfsg-3ubuntu1                  all          Java SQL database engine
ii  libjavascriptcoregtk-3.0-0:amd64      2.4.10-0ubuntu0.14.04.1                 amd64        JavaScript engine library from WebKitGTK+
ii  libreoffice-java-common               1:4.2.8-0ubuntu4                        all          office productivity suite -- arch-independent Java support files
ii  libservlet3.0-java                    7.0.52-1ubuntu0.3                       all          Servlet 3.0 and JSP 2.2 Java API classes
ii  plasma-scriptengine-javascript        4:4.13.3-0ubuntu0.2                     amd64        JavaScript script engine for Plasma
ii  tzdata-java                           2016d-0ubuntu0.14.04                    all          time zone and daylight-saving time data for use by java runtimes

# sudo apt-get remove openjdk-7-jdk
Reading package lists... Done
Building dependency tree
Reading state information... Done
Package 'openjdk-7-jdk' is not installed, so not removed
0 upgraded, 0 newly installed, 0 to remove and 6 not upgraded.

# sudo apt-get remove openjdk-7-jre
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages will be REMOVED:
  default-jre libatk-wrapper-java libatk-wrapper-java-jni openjdk-7-jre
0 upgraded, 0 newly installed, 4 to remove and 6 not upgraded.
After this operation, 870 kB disk space will be freed.
Do you want to continue? [Y/n] Y
(Reading database ... 120709 files and directories currently installed.)
Removing default-jre (2:1.7-51) ...
Removing libatk-wrapper-java-jni:amd64 (0.30.4-4) ...
Removing libatk-wrapper-java (0.30.4-4) ...
Removing openjdk-7-jre:amd64 (7u101-2.6.6-0ubuntu0.14.04.1) ...
Processing triggers for libc-bin (2.19-0ubuntu6.7) ...
Processing triggers for hicolor-icon-theme (0.13-1) ...
Processing triggers for desktop-file-utils (0.22-1ubuntu1) ...
Processing triggers for mime-support (3.54ubuntu1.1) ...

# java -version
java version "1.7.0_101"
OpenJDK Runtime Environment (IcedTea 2.6.6) (7u101-2.6.6-0ubuntu0.14.04.1)
OpenJDK 64-Bit Server VM (build 24.95-b01, mixed mode)

Java 7 ne semble pourtant pas désinstallé visiblement.

Offline

#8 2016-05-17 18:21:44

serphacker
Administrator
Registered: 2014-06-13
Posts: 411

Re: Erreur Java8 sous Ubuntu

essaye :

sudo apt-get purge openjdk*

puis java -version après

Offline

#9 2016-05-17 19:05:34

SEO69
Member
Registered: 2016-05-11
Posts: 18

Re: Erreur Java8 sous Ubuntu

Java 7 a bien été désinstallé avec cette commande !

Par contre en relançant ensuite les commandes suivantes...

sudo apt-get -y install software-properties-common
sudo add-apt-repository -y ppa:webupd8team/java
sudo apt-get update
sudo apt-get -y install oracle-java8-installer

J'ai toujours le message d'erreur :

# sudo apt-get -y install oracle-java8-installer
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages were automatically installed and are no longer required:
  fonts-dejavu-extra gconf2 libbonobo2-0 libbonobo2-common libgconf2-4
  libgnome2-0 libgnome2-bin libgnome2-common libgnomevfs2-0
  libgnomevfs2-common libidl-common libidl0 liborbit-2-0 liborbit2 libsctp1
  lksctp-tools tzdata-java
Use 'apt-get autoremove' to remove them.
Suggested packages:
  binfmt-support visualvm ttf-baekmuk ttf-unfonts ttf-unfonts-core
  ttf-kochi-gothic ttf-sazanami-gothic ttf-kochi-mincho ttf-sazanami-mincho
  ttf-arphic-uming
The following NEW packages will be installed:
  oracle-java8-installer
0 upgraded, 1 newly installed, 0 to remove and 6 not upgraded.
Need to get 0 B/23.1 kB of archives.
After this operation, 92.2 kB of additional disk space will be used.
Preconfiguring packages ...
(Reading database ... 120439 files and directories currently installed.)
Preparing to unpack .../oracle-java8-installer_8u92+8u91arm-2~really8u91~webupd8~0_all.deb ...

oracle-license-v1-1 license could not be presented
try 'dpkg-reconfigure debconf' to select a frontend other than noninteractive

dpkg: error processing archive /var/cache/apt/archives/oracle-java8-installer_8u92+8u91arm-2~really8u91~webupd8~0_all.deb (--unpack):
 subprocess new pre-installation script returned error exit status 2
Errors were encountered while processing:
 /var/cache/apt/archives/oracle-java8-installer_8u92+8u91arm-2~really8u91~webupd8~0_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

java -version :

# java -version
The program 'java' can be found in the following packages:
 * default-jre
 * gcj-4.8-jre-headless
 * openjdk-7-jre-headless
 * gcj-4.6-jre-headless
 * openjdk-6-jre-headless
Try: apt-get install <selected package>

J'avoue y perdre mon latin...

Offline

#10 2016-05-17 19:38:21

serphacker
Administrator
Registered: 2014-06-13
Posts: 411

Re: Erreur Java8 sous Ubuntu

oracle-license-v1-1 license could not be presented

bon super ça commence à s'installer, c'est juste qu'à cause de Kubuntu (encore ...) ça n'arrive pas à afficher la license java que tu dois accepter. J'ai google un peu http://google.fr/search?q=oracle-licens … +presented et j'ai trouvé quelques pistes :

echo debconf shared/accepted-oracle-license-v1-1 select true | sudo debconf-set-selections
echo debconf shared/accepted-oracle-license-v1-1 seen true | sudo debconf-set-selections

et retente encore une fois d'installer ...

Offline

#11 2016-05-18 07:57:14

SEO69
Member
Registered: 2016-05-11
Posts: 18

Re: Erreur Java8 sous Ubuntu

Bien joué !

J'ai appliqué les commandes et réinstallé et cette fois-ci ça a fonctionné parfaitement.

# java -version
java version "1.8.0_91"
Java(TM) SE Runtime Environment (build 1.8.0_91-b14)
Java HotSpot(TM) 64-Bit Server VM (build 25.91-b14, mixed mode)

J'ai ensuite installé Serposcope, puis connecté sans aucun souci...

C'était peut être lié à Kubuntu, je ne sais pas trop.

Le topic peut être mis en Résolu si c'est possible smile

Offline

Board footer